Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 45 - Selecting multiple fields in a query form does not work
Summary: Selecting multiple fields in a query form does not work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 2.1r
Hardware: All
OS: Linux
high
medium vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-11 19:55 UTC by Aleksey Nogin
Modified: 2010-03-08 17:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-11-12 19:15:55 UTC


Attachments (Terms of Use)
Attached file automatically from /tmp/makeinstall.txt. (deleted)
2010-03-08 17:14 UTC, Adam Stokes
no flags Details

Description Aleksey Nogin 1998-11-11 19:55:58 UTC
When I select multiple fields in some entries (such as
"Status" or "Program") of the bug query form, only the bugs
that match the first selected entry are displayed, while
mozilla.org Bugzilla would display all bugs matching one of
the selected entries.

Comment 1 Need Real Name 1998-11-12 18:38:59 UTC
alas, tis true

Comment 2 Need Real Name 1998-11-12 19:15:59 UTC
ok, found this one, url_decode was getting called too soon causing
only the first option to be matched.  this actually fixes several
issues at once.

Comment 3 Adam Stokes 2010-03-08 17:14:36 UTC
Created attachment 398569 [details]
Attached file automatically from /tmp/makeinstall.txt.


Note You need to log in before you can comment on or make changes to this bug.